openSUSE: 2021:1897-1 important: libX11 | LinuxSecurity.com

Advisories


   openSUSE Security Update: Security update for libX11
______________________________________________________________________________

Announcement ID:    openSUSE-SU-2021:1897-1
Rating:             important
References:         #1186643 
Cross-References:   CVE-2021-31535
CVSS scores:
                    CVE-2021-31535 (NVD) : 9.8 CVSS:3.1/AV:N/AC:L/PR:N/UI:N/S:U/C:H/I:H/A:H
                    CVE-2021-31535 (SUSE): 8.1 CVSS:3.1/AV:N/AC:H/PR:N/UI:N/S:U/C:H/I:H/A:H

Affected Products:
                    openSUSE Leap 15.3
______________________________________________________________________________

   An update that fixes one vulnerability is now available.

Description:

   This update for libX11 fixes the following issues:

   - Regression in the fix for CVE-2021-31535, causing segfaults for xforms
     applications like fdesign (bsc#1186643)


Patch Instructions:

   To install this openSUSE Security Update use the SUSE recommended installation methods
   like YaST online_update or "zypper patch".

   Alternatively you can run the command listed for your product:

   - openSUSE Leap 15.3:

      zypper in -t patch openSUSE-SLE-15.3-2021-1897=1



Package List:

   - openSUSE Leap 15.3 (aarch64 ppc64le s390x x86_64):

      libX11-6-1.6.5-3.21.1
      libX11-6-debuginfo-1.6.5-3.21.1
      libX11-debugsource-1.6.5-3.21.1
      libX11-devel-1.6.5-3.21.1
      libX11-xcb1-1.6.5-3.21.1
      libX11-xcb1-debuginfo-1.6.5-3.21.1

   - openSUSE Leap 15.3 (noarch):

      libX11-data-1.6.5-3.21.1

   - openSUSE Leap 15.3 (x86_64):

      libX11-6-32bit-1.6.5-3.21.1
      libX11-6-32bit-debuginfo-1.6.5-3.21.1
      libX11-devel-32bit-1.6.5-3.21.1
      libX11-xcb1-32bit-1.6.5-3.21.1
      libX11-xcb1-32bit-debuginfo-1.6.5-3.21.1


References:

   https://www.suse.com/security/cve/CVE-2021-31535.html
   https://bugzilla.suse.com/1186643

openSUSE: 2021:1897-1 important: libX11

July 10, 2021
An update that fixes one vulnerability is now available

Description

This update for libX11 fixes the following issues: - Regression in the fix for CVE-2021-31535, causing segfaults for xforms applications like fdesign (bsc#1186643)

Patch

To install this openSUSE Security Update use the SUSE recommended installation methods like YaST online_update or "zypper patch". Alternatively you can run the command listed for your product: - openSUSE Leap 15.3: zypper in -t patch openSUSE-SLE-15.3-2021-1897=1

Package List

- openSUSE Leap 15.3 (aarch64 ppc64le s390x x86_64): libX11-6-1.6.5-3.21.1 libX11-6-debuginfo-1.6.5-3.21.1 libX11-debugsource-1.6.5-3.21.1 libX11-devel-1.6.5-3.21.1 libX11-xcb1-1.6.5-3.21.1 libX11-xcb1-debuginfo-1.6.5-3.21.1 - openSUSE Leap 15.3 (noarch): libX11-data-1.6.5-3.21.1 - openSUSE Leap 15.3 (x86_64): libX11-6-32bit-1.6.5-3.21.1 libX11-6-32bit-debuginfo-1.6.5-3.21.1 libX11-devel-32bit-1.6.5-3.21.1 libX11-xcb1-32bit-1.6.5-3.21.1 libX11-xcb1-32bit-debuginfo-1.6.5-3.21.1

References

https://www.suse.com/security/cve/CVE-2021-31535.html https://bugzilla.suse.com/1186643

Severity
Announcement ID: openSUSE-SU-2021:1897-1
Rating: important
Affected Products: openSUSE Leap 15.3 .

Related News

We use cookies to provide and improve our services. By using our site, you consent to our Cookie Policy.